> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/digital-river-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/digital-river-api/financial-reporting/payouts/get-a-list-of-transactions-included-in-payout-by-id.md).

# Get a list of transactions included in payout by ID

Retrieving a list of transactions associated with a specific payout allows you to gain insights into the financial details and movements involved in that payout. You can obtain comprehensive transaction details using the unique payout ID, helping you track and manage financial operations efficiently.&#x20;

## Setting payout path parameters

The following table lists the required parameters you can provide in a [get payout by ID](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/payouts#payouts-id) request.

| Parameter | Required/Optional | Description               |
| --------- | ----------------- | ------------------------- |
| id        | Required          | Unique payout identifier. |

## **Get payout by ID, including transactions example**

Accessing payout information, including details of related payout transactions, is crucial for any financial management system. This section provides examples of requesting these details using a payout ID and includes a sample response to illustrate the data type returned by the API. Developers can effectively integrate this functionality into their applications by understanding the structure and content of the request and the response.

To retrieve a list of transactions for a payout, you must supply the unique identifier of the payout:

{% tabs %}
{% tab title="Request header example" %}

```http
GET /payouts/8100000400_1410_2019/transactions
```

{% endtab %}
{% endtabs %}

A `200 OK` response returns an array of Payout Transaction objects.

{% tabs %}
{% tab title="Payout Transaction object example" %}

```javascript
{
  "hasMore": true,
  "data": [
    {
      "id": "8100000400_1410_2019",
      "createdTime": "2018-04-25T20:36:00Z",
      "currency": "USD",
      "amount": 1180.26,
      "payoutId": "2000028600_1410_2019",
      "description": "Sales for Period Ended 04-25-2020",
      "type": "sales_summary",
      "liveMode": true
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Key payout transaction attributes

The following information details the key attributes returned in response to a request for payout transaction information. For a complete list, refer to the [Payouts API reference](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/payouts).

### id

A unique identifier for the payout transaction.

### createdTime

The time when the payout transaction was created in the reporting environment.

### currency

The three-letter ISO currency code represents the currency type used in the payout transaction.

### amount

Represents the payout transaction amount.

### payoutId

The unique payout identifier.

### salesSummaryId

A unique identifier for the sales summary that includes the payout transactions.

### description

A text description of the payout transaction.

### type

Designate the type of payout transaction. Supported types are `sale`, `return`, `refund`, `fraud_chargeback`, and `non_fraud_chargeback`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/financial-reporting/payouts/get-a-list-of-transactions-included-in-payout-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
